import java.awt.*;

/**
 *
 * ColoredCandyHeart inherits label behavior from CandyHeart
 * but adds color.
 *
 * @author Nicholas R. Howe, modified by Sara Sheehan
 * @version February 1, 2016
 *
 */
public class ColoredCandyHeart extends CandyHeart {
	
    /** Color of this candy */
    private Color color;

    /** Default constructor: picks a stock label */
    public ColoredCandyHeart() {
        super();  // call default constructor in parent
        this.color = Color.PINK;
    }

    /** Constructor: allows choice of custom label */
    public ColoredCandyHeart(String label, Color color) {
        super(label);  // call label constructor in parent
        this.color = color;
    }

    /** Accessor: reports color */
    public Color getColor() {
        return this.color;
    }

    /** Manipulator: changes color */
    public void setColor(Color color) {
        this.color = color;
    }

    /** Draw the heart in a window at the specified position */
    public void draw(Graphics g, int x, int y) {
        g.setColor(this.color);
        g.fillOval(x-40,y-40,45,45);
        g.fillOval(x-5,y-40,45,45);
        g.fillOval(x-10,y+20,20,20);
        int[] px = {x-36,x,x+36,x+9,x-9,x-36};
		int[] py = {y-3,y-20,y-3,y+34,y+34,y-3};
		g.fillPolygon(new Polygon(px,py,6));
        g.setColor(Color.RED);
        int sw = g.getFontMetrics().stringWidth(getLabel());
        g.drawString(getLabel(),x-sw/2,y);
    }
}
